title/tooltip missing on file with empty link
Closed, ResolvedPublic

Assigned To
Jackmcbarn
Priority
Normal
Author
Umherirrender
Subscribers
TheDJ, siebrand, Umherirrender and 4 others
Projects
Tokens
"Love" token, awarded by Ciencia_Al_Poder.
Reference
bz21454
Security
None
Description

Files without a link ([[File:Wiki.png|link=|description]]) has no tooltips in FireFox, but in IE7.

IE7 shows the alt-attribut when hover over the file. FireFox shows only title-attributs. By linked files that title-attribut came from the a-tag, by unlinked files it is missing.

Please add a title-attribut to the img-tag of unlinked files, so FireFox can show a tooltip. Thanks.


Version: unspecified
Severity: normal

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz21454.
Umherirrender created this task.Via LegacyNov 9 2009, 6:39 PM
duplicatebug added a comment.Via ConduitJul 29 2010, 8:07 PM
  • Bug 24572 has been marked as a duplicate of this bug. ***
duplicatebug added a comment.Via ConduitAug 4 2011, 6:56 PM
  • Bug 30110 has been marked as a duplicate of this bug. ***
hoo added a comment.Via ConduitAug 19 2013, 3:27 PM

(In reply to comment #0)

Please add a title-attribut to the img-tag of unlinked files, so FireFox can
show a tooltip. Thanks.

What value should that title attribute take in your opinion? The given description? The alt text?

jayvdb added a comment.Via ConduitSep 21 2013, 12:17 AM

(In reply to comment #3)

What value should that title attribute take in your opinion? The given
description? The alt text?

The caption, or the alt= value.

Note that blanking the link attribute is recommended per [[:en:WP:ICON]] and
[[:en:WP:ALT]] guidelines for accessibility reasons.

gerritbot added a comment.Via ConduitAug 10 2014, 10:37 PM

Change 153353 had a related patch set uploaded by Jackmcbarn:
Always set a title on images when provided

https://gerrit.wikimedia.org/r/153353

gerritbot added a comment.Via ConduitDec 12 2014, 7:17 PM

Change 153353 had a related patch set uploaded (by Cscott):
Always set a title on images when provided

https://gerrit.wikimedia.org/r/153353

Patch-For-Review

gerritbot added a comment.Via ConduitDec 12 2014, 7:25 PM

Change 153353 merged by jenkins-bot:
Always set a title on images when provided

https://gerrit.wikimedia.org/r/153353

Umherirrender closed this task as "Resolved".Via WebDec 12 2014, 7:39 PM
Umherirrender claimed this task.
Ciencia_Al_Poder reassigned this task from Umherirrender to Jackmcbarn.Via WebDec 31 2014, 4:00 PM
Ciencia_Al_Poder set Security to None.
Ciencia_Al_Poder awarded a token.
Ciencia_Al_Poder removed a subscriber: wikibugs-l.
Ciencia_Al_Poder added a subscriber: Ciencia_Al_Poder.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.